<?php
class ListMovResAction extends wtActions 
{
    public function execute()
    {
        LayoutTemplate::getInstance()->setUseBootstrap();
        
        $this->s_IdItem = $this->getRequestParameter( 'IdItem' );
        
        $this->IdCompania = myUser::getUser()->getIdBusiness();
        
        $this->GlobalAccess = myUser::getUser()->hasGlobalAccess();
        
        //$this->opt_seleccione = $this->GlobalAccess;
        $o_ALM_AlmacenMastFN = new ALM_AlmacenMastFN();
        $o_ALM_AlmacenMastFN->setIdCompania( $this->IdCompania );
        $o_ALM_AlmacenMastFN->setIdSucursal( myUser::getUser()->getIdSucursal() );
        $o_ALM_AlmacenMastFN->setEstado( "A" );
        $o_ALM_AlmacenMastFN->addOrderBy( ALM_AlmacenMastFN::DescripcionLocal );

        $this->a_ALM_AlmacenMast = $o_ALM_AlmacenMastFN->select();
        
        $this->FechaInicio = date( "Y-m" )."-01";
        $this->FechaFin = UtilDate::getFechaFinMes( date( "Y"), date( "m" ) );
    }
}